BDU:2022-05020: Уязвимость компонента Federated Credential Management браузеров Microsoft Edge и Google Chrome, позволяющая нарушителю выполнить произвольный код

Описание уязвимости

Уязвимость компонента Federated Credential Management браузеров Microsoft Edge и Google Chrome связана с использованием памяти после её освобождения. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, выполнить произвольный код

Вендор

ООО «РусБИТех-Астра», Google Inc., Microsoft Corp., АО "НППКТ"

Наименование ПО

Версия ПО

  • 1.7 (Astra Linux Special Edition)
  • до 104.0.5112.101 (Google Chrome)
  • до 104.0.1293.63 (Microsoft Edge)
  • до 2.6 (ОСОН ОСнова Оnyx)

Тип ПО

Операционная система, Прикладное ПО информационных систем

Операционные системы и аппаратные платформы

Тип ошибки

Использование после освобождения

Идентификатор типа ошибки

Класс уязвимости

Уязвимость кода

Дата выявления

16.08.2022

Базовый вектор уязвимости

Уровень опасности уязвимости

Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 10)

Возможные меры по устранению уязвимости

Установка обновлений из доверенных источников.
В связи со сложившейся обстановкой и введенными санкциями против Российской Федерации рекомендуется устанавливать обновления программного обеспечения только после оценки всех сопутствующих рисков.

Компенсирующие меры:
- использование средств антивирусной защиты с функцией контроля доступа к веб-ресурсам;
- контролируемый доступ в сеть Интернет – регламентация разрешенных сетевых ресурсов и соединений;
- запуск веб-браузера от имени пользователя с минимальными возможными привилегиями в операционной системе;
- использование альтернативных веб-браузеров;
- применение систем обнаружения и предотвращения вторжений.

Использование рекомендаций производителя:
Для Google Chrome:
https://chromereleases.googleblog.com/2022/08/stable-channel-update-for-desktop_16.html

Для Microsoft Edge:
https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2852
Для Astra Linux Special Edition 1.7 архитектуры x86-64:
https://wiki.astralinux.ru/astra-linux-se17-bulletin-2022-1011SE17MD

Для ОСОН ОСнова Оnyx:
Обновление программного обеспечения chromium до версии 107.0.5304.87+repack-1~deb11u1.osnova1

Статус уязвимости

Подтверждена производителем

Наличие эксплойта

Существует

Способ эксплуатации

  • Манипулирование структурами данных

Способ устранения

Обновление программного обеспечения

Информация об устранении

Уязвимость устранена

Идентификаторы других систем описаний уязвимостей

Прочая информация

Данные уточняются
Последние изменения